//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TBARCODE5Lib_OCX"
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

void __fastcall TForm2::QuickRep1BeforePrint(TCustomQuickRep *Sender,
      bool &PrintReport)
{
int nFactorX = 1;  // = 2 for wider bar codes
int nCM   = 0;

     // set bar code type to Code 128 or the symbology you want
     TemplateBC->BarCode = eBC_Code128;

     // set Bar code data
     TemplateBC->Text = "HELLO WORLD";

     // the following method to optimize bar code readable ness
     // and to avoid matrix effects is works for Code128, 2of5IL, Code39, EAN128 - but not for EAN13/UPCA

     // calculate number of bar/space modules in symbol enlarged with nFactorX
     nCM = int(TemplateBC->CountModules) * nFactorX;
     // and set Pixel-Width to this value
     TemplateBC->Width = nCM;

     // for 2D Barcodes like PDF417, DataMatrix... we need other handling
     // for these symbologies please contact our support: http://www.tec-it.com/support/

     // lock canvas of the bitmap for drawing
     QRImage1->Canvas->Lock();

     QRImage1->Width = TemplateBC->Width + 1;    // +1 = because of the 1 Pixel frame
     QRImage1->Height = TemplateBC->Height + 1;

     // draw the content of the ActiveX Control to the canvas of the bitmap element
     TemplateBC->PaintTo( QRImage1->Canvas->Handle, 1, 1 );

     // unlock the canvas
     QRImage1->Canvas->Unlock();
}




